libcomps ..

Loading...
Searching...
No Matches
Functions
COMPS_DocEnv properties getters

## Functions
COMPS_Object * | comps_docenv_get_id (COMPS_DocEnv *env)
COMPS_Object * | comps_docenv_get_name (COMPS_DocEnv *env)
COMPS_Object * | comps_docenv_get_desc (COMPS_DocEnv *env)
COMPS_Object * | comps_docenv_get_display_order (COMPS_DocEnv *env)

## Detailed Description

## Function Documentation

## ◆ comps_docenv_get_desc()

COMPS_Object * comps_docenv_get_desc | ( | COMPS_DocEnv * | env | ) |

COMPS_DocEnv description getter

Parameters

  obj | COMPS_DocEnv object

Returns
  COMPS_Str object representing group description with incremented reference count

## ◆ comps_docenv_get_display_order()

COMPS_Object * comps_docenv_get_display_order | ( | COMPS_DocEnv * | env | ) |

COMPS_DocCategory display order getter

Parameters

  obj | COMPS_DocCategory object

Returns
  COMPS_Str object representing category display order with incremented reference count

## ◆ comps_docenv_get_id()

COMPS_Object * comps_docenv_get_id | ( | COMPS_DocEnv * | env | ) |

COMPS_DocEnv id getter

Parameters

  obj | COMPS_DocEnv object

Returns
  COMPS_Str object representing group id with incremented reference count

## ◆ comps_docenv_get_name()

COMPS_Object * comps_docenv_get_name | ( | COMPS_DocEnv * | env | ) |

COMPS_DocEnv name getter

Parameters

  obj | COMPS_DocEnv object

Returns
  COMPS_Str object representing group name with incremented reference count